### Method

# Gimp Vector3 rotate

#### Declaration [src]

    void
    gimp_vector3_rotate (
      GimpVector3* vector,
      gdouble alpha,
      gdouble beta,
      gdouble gamma
    )

#### Description [src]

Rotates the `vector` around the three axis (Z, Y, and X) by `alpha`, `beta` and `gamma`, respectively.

Note that the order of the rotation is very important. If you expect a vector to be rotated around X, and then around Y, you will have to call this function twice. Also, it is often wise to call this function with only one of `alpha`, `beta` and `gamma` non-zero.

#### Parameters

`alpha` | `gdouble`
| The angle (in radian) of rotation around the Z axis.
`beta` | `gdouble`
| The angle (in radian) of rotation around the Y axis.
`gamma` | `gdouble`
| The angle (in radian) of rotation around the X axis.